import {ADD_NEW_CART, RECEIVE_CART} from '../actions/cart_actions'

const initialState = {
    user: null,
    cartItems: []
}

const cartReducer = (prevState = initialState, action) => {
    Object.freeze(prevState);
    const nextState = {...prevState};

    switch (action.type) {
        case RECEIVE_CART:
            nextState.user = "user"
            nextState.cartItems = ["dafsd","fasdfa"]
            return nextState;

        case ADD_NEW_CART:
            nextState.user = "action.products.data"
            nextState.cartItems = []
            return nextState;

        default:
            return nextState;
    }
}

export default cartReducer;

